typedef struct file{
  unsigned char  FileName[12];
  unsigned char  ArtistName[50];
  unsigned char  SongName[50];
  unsigned long  FileSize;
  unsigned long  CurrentPos;
}TFile;

typedef struct playlist{
  TFile            Files[20];
  unsigned   int   FilesCount;
             int   CurrentFileIndex;
  TFile*           NowPlaying;
  unsigned int     TimeElapsed;
  unsigned short   VolumeLeft;
  unsigned short   VolumeRight;
  unsigned short   Muted;
  unsigned short   FileStatus;
  unsigned short   PlaylistStatus;
  unsigned short   PlayStatus;
}TPlaylist;

void SetActivePlaylist(TPlaylist *NewPlaylist);
unsigned short loadPlaylist();
unsigned short loadNext();
unsigned short loadPrevious();
unsigned short loadCurrent();
         void  playFile();
         void  pauseFile();
         void  stopPlaying();